Console API
  1. VPC
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
      GET
    • Create Project
      POST
    • Detail Project
      GET
    • Delete Project
      DELETE
  • VPC
    • Get VPC List (Tenant Owner)
      GET
    • Get VPC List
      GET
    • Rename VPC
      PUT
    • Create VPC
      POST
    • Delete VPC
      DELETE
    • Get VPC Quota
      GET
    • Check user can create VPC
      POST
    • Get VPCs of User v2
      GET
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. VPC

Get VPC Quota

GET
/api/v1/vmware/vpc/{vpc_id}/quotas

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/vmware/vpc//quotas' \
--header 'OrgId: {OrgId}' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
  "data": {
    "cpu_quota": {
      "quota_used": 1,
      "quota_limit": 1000,
      "quota_remaining": null
    },
    "ram_quota": {
      "quota_used": 1024,
      "quota_limit": 3072000,
      "quota_remaining": null
    },
    "storage_quota": [
      {
        "policy": "Premium-SSD-3000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-4000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-6000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-12000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-80000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-8000-vCD",
        "quota_used": 0,
        "quota_limit": 1024
      },
      {
        "policy": "Premium-SSD-1000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-13000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-5000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-60000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD-15000",
        "quota_used": 0,
        "quota_limit": 10240000
      },
      {
        "policy": "Premium-SSD",
        "quota_used": 41999,
        "quota_limit": 13313024
      }
    ],
    "vm_quota": {
      "quota_used": 1,
      "quota_limit": 0,
      "vm_stopped": 0,
      "vm_running": 1
    },
    "load_balancer_quota": [
      {
        "lb_size": "Basic",
        "quota_used": 0,
        "quota_limit": 0
      },
      {
        "lb_size": "Standard",
        "quota_used": 0,
        "quota_limit": 0
      },
      {
        "lb_size": "Advanced",
        "quota_used": 0,
        "quota_limit": 0
      },
      {
        "lb_size": "Premium",
        "quota_used": 0,
        "quota_limit": 0
      }
    ],
    "floating_quota": {
      "quota_used": 1,
      "quota_limit": 50,
      "quota_remaining": null
    },
    "gpu_quota": [],
    "snapshot_quota": null,
    "lb_v2_quota": [
      {
        "lb_size": "Basic-1",
        "quota_used": 1,
        "quota_limit": 5
      },
      {
        "lb_size": "Basic-2",
        "quota_used": 0,
        "quota_limit": 5
      },
      {
        "lb_size": "Standard",
        "quota_used": 0,
        "quota_limit": 5
      },
      {
        "lb_size": "Advanced",
        "quota_used": 0,
        "quota_limit": 5
      },
      {
        "lb_size": "Premium",
        "quota_used": 0,
        "quota_limit": 5
      },
      {
        "lb_size": "Extra-1",
        "quota_used": 0,
        "quota_limit": 0
      },
      {
        "lb_size": "Extra-2",
        "quota_used": 0,
        "quota_limit": 0
      },
      {
        "lb_size": "Extra-3",
        "quota_used": 0,
        "quota_limit": 0
      }
    ]
  }
}
Modified at 2026-01-22 06:34:02
Previous
Delete VPC
Next
Check user can create VPC
Built with